<?php

   include("./scripts/connect.php");

   include("./scripts/session.php");

   $conexion=conecta_default();



   if( isset($_POST['usr'])&&isset($_POST['pswd']) ) {

      $usrr=$_POST['usr'];

      $pswdd=$_POST['pswd'];

      $patron="/^[0-9a-zA-Z]+$/";


      if(preg_match($patron,$usrr))
      {
        if(preg_match($patron, $pswdd))
        {


      $consulta="select * from usuarios_ci where nombre_usr='".$usrr."' and passwd='".$pswdd."'";

      $result=mysql_query($consulta);

      $usr=mysql_fetch_object($result);


      if(!mysql_affected_rows()){/*hubo error en la consulta*/
           echo "<script> alert('usuario y/o contraseña invalidos.');</script>";

       echo "<script> window.history.go(-1); </script>";

    exit;

      }else{

          $id=$usr->idusuarios_ci;

        $usuario=$usr->nombre_usr;

        $priv=$usr->rango_idrango;



          //obetener el rango del usuario

        $sesion=new Sesion($id,$priv,$usuario);

       if(!$sesion->setSesion()){ echo "error al crear sesion";exit;}

       switch($priv){

                

         case '4':header("Location: ./admin/index.php");echo "cap";break;                   
 case '2':echo "<center><br><br><font size=+3 color=\"red\"> <b>Usuario Bloqueado</b></font><br> Favor de comunicarse a oficinas centrales<br>";break;  
  case '3':echo "<center><br><br><font size=+3 color=\"blue\"> <b>Usuario Inactivo</b></font><br> Favor de comunicarse a oficinas centrales";break;  
       }

      }



        }
        else{
           echo "<script> alert('Solo numeros y letras en este campo');</script>";

            echo "<script> window.history.go(-1); </script>";
        }

      }
      else
      {
        echo "<script> alert('Solo numeros y letras en este campo');</script>";
        echo "<script> window.history.go(-1); </script>";

      }




    



   }



?>

